{% extends 'inventario/base.html' %}
{% load static %}
{% load humanize %}

{% block titulo %}Productos{% endblock %}

{% block principal %}

    <h1>Productos....</h1>
    <!--<form class="d-flex" role="search" action="{% url 'buscar' %}" method="post">
        {% csrf_token %}
        <input class="form-control me-2" type="search" placeholder="Buscar por nombre o descripción..." aria-label="Search" name="dato_buscar">
        <button class="btn btn-outline-success" type="submit">Buscar</button>
    </form>
    <br>-->
    <a class="btn btn-success" href="{% url 'productos_formulario' %}">Crear</a><br><br>
    <table class="table">
        <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Stock</th>
            <th>Precio</th>
            <th>Categorías</th>
            <th>Acción</th>
        </tr>
    {% for r in data %}
        <tr>
            <td>{{ r.id }}</td>
            <td>
                <img src="{{r.foto.url}}" width='10%' /><br>
                {{ r.nombre }}
            </td>
            <td>{{ r.stock }}</td>
            <td>${{ r.precio|intcomma }}</td>
            <td>{{ r.categorias }}</td>
            <td>
                <a class="btn btn-warning" href="{% url 'productos_formulario_editar' r.id %}">Editar</a>
                <a class="btn btn-danger" href="javascript:confirmar_eliminar(`{% url 'productos_eliminar' r.id %}`)">Eliminar</a>
            </td>
        </tr>
    {% endfor %}
    </table>

    <nav aria-label="...">
        <ul class="pagination pagination-lg">
            <li class="page-item active" aria-current="page">
                <span class="page-link">1</span>
            </li>
            <li class="page-item"><a class="page-link" href="#">2</a></li>
            <li class="page-item"><a class="page-link" href="#">3</a></li>
        </ul>
    </nav>

{% endblock %}